// ********* Programma scritto da Marco Monni ********
// ********* Ver 4.00 - Agosto 2000           ********
// *********                                  ********
// *********  Ottimizzato per Acad14 - 2000   ********
// *********                                  ********
// *********         FREEWARE VERSION         ********
// *********                                  ********
// ***************************************************

// wall.dcl  collegato al file wall.lsp

// dcl_settings : default_dcl_settings { audit_level = 3; } // esegue la verifica semantica del file

wall : dialog {
           aspect_ratio = 0;
           label = "Wall 4.00  by Marco Monni - Disegno muro in cemento armato";
//-------------------------------------------------------------Inizio boxed_column
     : row { 
             : boxed_column {
                label = "Dati geometrici";
                
//-------------------------------------------------------------Inizio Riga 1
                : row {
                  : edit_box {
                    label = "Altezza 'h' del muro (cm):";
                    key = "h";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga1                  
//--------------------------------------------------------------Inizio Riga 2
                : row {		
                  : edit_box {
                    label = "Sommit 'a' (cm):";
                    key = "a";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga2
//--------------------------------------------------------------Inizio Riga 3
                : row {
                  : edit_box {
                    label = "Piede 'p' (cm):";
                    key = "p";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga3
//--------------------------------------------------------------Inizio Riga 4
                : row {
                  : edit_box {
                    label = "Base esterna 'b' (cm):";
                    key = "b";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga4
//--------------------------------------------------------------Inizio Riga 5
                : row {
                  : edit_box {
                    label = "Base interna 'c' (cm):";
                    key = "c";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga5
//--------------------------------------------------------------Inizio Riga 6
                : row {
                  : edit_box {
                    label = "Spessore soletta 'd' (cm):";
                    key = "d";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga6
//--------------------------------------------------------------Inizio Riga 7
                : row {
                  : edit_box {
                    label = "Altezza dente 's2' (cm):  ";
                    key = "s2";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga7
//--------------------------------------------------------------Inizio Riga 8
                : row {
                  : edit_box {
                    label = "Larghezza dente 's1' (cm):";
                    key = "s1";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga8
//--------------------------------------------------------------Inizio Riga 9
                : row {
                  : edit_box {
                    label = "Interasse ferri ripartitori (cm):";
                    key = "in";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga9
//--------------------------------------------------------------Inizio Riga 10
                : row {
                  : edit_box {
                    label = "Copriferro 'cf' (cm):";
                    key = "cf";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga10
//--------------------------------------------------------------Inizio Riga 11
                : row {
                  : edit_box {
                    label = "Scala 'x' di stampa (1:x):";
                    key = "sc";
                    edit_width = 5;
                  }
                }  
//--------------------------------------------------------------Fine Riga 11                       
              }
        
//--------------------------------------------------------------Fine boxed_column
//--------------------------------------------------------------Inizio casella immagine
 
       : column {
         fixed_width = true;
         fixed_height = true;
         : image_button {
           alignment = centered;
           fixed_width = true;
           fixed_height = true;
           key    = "Diapositiva muro";
           width  = 34;
           height = 21;
           color  = 0;                 //colore sfondo = nero 
           is_tab_stop = false;        //la casella "diapositiva muro" non  punto di tabulazione
         }
       }

//--------------------------------------------------------------Fine casella immagine
   }

//--------------------------------------------------------------Inizio riga pulsanti Disegna/Esci/Help

                : row {              // definisce la riga di pulsanti Disegna/Esci/Help
		  : button {
			key = "disegna";
			label = "&Disegna";
			is_default = true;
			alignment = centered;
		  }
                  : button {
			key = "esci";
			label = "&Esci";
			is_default = true;
			alignment = centered;
		  }
                  : button {
			key = "help";
			label = "&Help";
			is_default = true;
			alignment = centered;
		  }
                    
                }
//--------------------------------------------------------------Fine riga pulsanti Disegna/Esci/Help

} 